Source: gdbm
Section: libs
Priority: optional
Maintainer: Nicolas Mora <babelouest@debian.org>
Build-Depends: texinfo,
               debhelper-compat (= 13),
               dh-exec,
               dietlibc-dev (>= 0.34~cvs20160606-3) [alpha amd64 arm64 armeb armel armhf hppa i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sparc64 x32] <!pkg.gdbm.nodietlibc>,
               libreadline-dev,
               bison
Standards-Version: 4.5.1
Homepage: https://gnu.org/software/gdbm
Vcs-Browser: https://salsa.debian.org/debian/gdbm
Vcs-Git: https://salsa.debian.org/debian/gdbm.git
Rules-Requires-Root: no
X-Short-Desc: GNU dbm database routines
X-Long-Desc:
 GNU dbm ('gdbm') is a library of database functions that use extendible
 hashing and works similarly to the standard UNIX 'dbm' functions.
 .
 The basic use of 'gdbm' is to store key/data pairs in a data file, thus
 providing a persistent version of the 'dictionary' Abstract Data Type
 ('hash' to perl programmers).

Package: libgdbm6
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gdbm-l10n (= ${source:Version})
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: ${S:X-Short-Desc} (runtime version) ${S:X-Long-Desc}

Package: gdbm-l10n
Architecture: all
Multi-Arch: foreign
Replaces: libgdbm4 (= 1.12-2)
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: localization
Description: ${S:X-Short-Desc} (translation files) ${S:X-Long-Desc}
 This package provides translations for messages, generated by
 library routines and programs, provided by 'gdbtool' package.

Package: libgdbm-dev
Architecture: any
Depends: libc6-dev | libc-dev, libgdbm6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: ${libgdbm-dietlibc:Provides}
Section: libdevel
Multi-Arch: same
Built-Using: ${Built-Using}
Replaces: libgdbm4 (= 1.12-1)
Description: ${S:X-Short-Desc} (development files) ${S:X-Long-Desc}
 .
 Note, that to build old programs, that use legacy 'dbm' interface,
 you have to install libgdbm-compat-dev binary package.

Package: gdbmtool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gdbm-l10n (= ${source:Version})
Section: utils
Description: ${S:X-Short-Desc} (command line tools) ${S:X-Long-Desc}
 .
 This package includes following command line tools:
 .
  * gdbm_dump -- dump database content into system-independant format
  * gdbm_load -- recreate database from dump, created by gdbm_dump
  * gdbmtool -- view and modify an existing database or to create a new one.

Package: libgdbm-compat4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: ${S:X-Short-Desc} (legacy support runtime version) ${S:X-Long-Desc}
 .
 This package includes library files, required to run old programs,
 that use legacy 'dbm' interface. For new programs, please use modern
 interface, provided by libgdbm6 and libgdbm-dev.

Package: libgdbm-compat-dev
Architecture: any
Depends: libc6-dev | libc-dev, libgdbm-compat4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Section: libdevel
Replaces: libgdbm-dev (<< 1.12-1)
Breaks: libgdbm-dev (<< 1.12-1)
Description: ${S:X-Short-Desc} (legacy support development files) ${S:X-Long-Desc}
 .
 This package includes development files, required to build old
 programs, that use legacy 'dbm' interface. For new programs, please
 use modern interface, provided by libgdbm6 and libgdbm-dev.
